Subject: bug#24574: closed (Re: bug#24574: emacs-module is not GPL compatible (Windows))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 Oct 2021 02:48:02 +0000

Your bug report

#24574: emacs-module is not GPL compatible (Windows)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24574: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24574
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24574: emacs-module is not GPL compatible (Windows)
From: Stefan Kangas <[email-masked]>
To: Mambo Levis <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked], "[email-masked]" <[email-masked]>
Date: Fri, 22 Oct 2021 19:47:44 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Mambo Levis <[email-masked]> writes:

> On Wednesday, October 5, 2016 4:48 AM, "[email-masked]" <[email-masked]> wrote:
[...]
>> So there is no bug after all?  Should we just close this report, or is
>> there perhaps some guidance we should add to the documentation about how
>> to build modules on Windows?
[...]
> Yes, in summary there is no bug after all, yes you can close it.

Thanks, I read this thread and I can't see what we can add here besides
the usual "fiddle with paths, put stuff where it belongs".

So I'm closing this bug report.

Subject: emacs-module is not GPL compatible (Windows)
From: Mambo Levis <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 30 Sep 2016 20:17:11 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I build the emacs-sqlite3 project in Windows using MINGW (mingw64_shell.bat) and the following message appears whenI requiere the module:
sqlite3-core.dll is not GPL compatible

Questions: 
1. Have anybody tried to build this project in windows using MINGW or Visual Studio?
2. Do you have any idea about the error message: sqlite3-core.dll is not GPL compatible?
I found this project (sqlite3-core) more interesting/valuable for testing the new emacs-module than the default provided (mod-test) in emacs-25.1-src/modules
Repository: https://github.com/syohex/emacs-sqlite3
I also found and build a similar project https://github.com/thom-jenks/emacs-sqlite but unfortunately with the same problem: it is not GPL compatible

Thanks
Levis